<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>
    <div class="">
        <div class="row d-flex justify-content-center align-items-center" style="height: 100vh">
            <div class=" col-sm-5 jumbotron ">
                <div class="row mb-5">
                    <div class="col-sm-12 text-center text-warning">
                        <h1>Đăng Nhập</h1>
                    </div>
                </div>
                <div class="row">

                    <div class="col-sm-4">
                        <label for="">UserName</label>
                    </div>
                    <div class="col-sm-8">
                        <input id="inp-login-name" class="form-control" type="text" placeholder="Nhập User name">
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-sm-4">
                        <label for="">Password</label>
                    </div>
                    <div class="col-sm-8">
                        <input id="inp-login-pass" class="form-control" type="text" placeholder="Nhập password">
                    </div>
                </div>
                <div class="row mt-5">
                    <button id="btn-login" class="btn btn-warning form-control">Đăng Nhập</button>
                </div>
            </div>
        </div>
    </div>


</body>
<script>
    $(document).ready(function () {
        $("#btn-login").on("click", function () {
            onBtnLogin();
        })
    })
    function onBtnLogin() {
        var vObjUser = {
            username: "",
            password: "",
        }
        vObjUser.username = $("#inp-login-name").val();
        vObjUser.password = $("#inp-login-pass").val();
        $.ajax({
            url: "http://localhost:8080/login",
            type: "POST",

            data: JSON.stringify(vObjUser),
            contentType: "json",
            success: function (paramRes) {
                alert("Đăng Nhập thành công!");
                alert(paramRes);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }
        })
    }
</script>

</html>